> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serial.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Serial Number

> This endpoint is used for initializing a serial number or lot code inside of Serial. It expects a JSON payload that includes the identifier, component and part_number of the object to be initialized. The API key for authentication is sent in the headers. The server's response is a requests.Response object.



## OpenAPI

````yaml POST /identifier
openapi: 3.1.0
info:
  title: Serial
  version: '1.0'
  description: Access and control your Serial data programmatically.
  contact:
    name: Devon Copeland
    email: support@serial.io
    url: www.serial.io
  summary: Serial API
servers:
  - url: https://api.serial.io
security:
  - serial-default-security: []
tags:
  - name: AI
    description: AI Endpoints
  - name: Auth
    description: Auth Endpoints
  - name: Companies
    description: Company Endpoints
  - name: Component Instances
    description: Component Instance Endpoints
  - name: Components
    description: Component Endpoints
  - name: Datasets
    description: Dataset Endpoints
  - name: Fields
    description: Field Endpoints
  - name: Legacy
    description: Legacy Endpoints
  - name: Part Numbers
    description: Part Number Endpoints
  - name: Processes
    description: Process Endpoints
  - name: Properties
    description: Property Endpoints
  - name: Storage
    description: Storage Endpoints
  - name: Users
    description: User Endpoints
  - name: Work Orders
    description: Work Order Endpoints
paths:
  /identifier:
    post:
      tags:
        - Legacy
      summary: Create Unique Identifier
      description: >-
        This endpoint is used for initializing a serial number or lot code
        inside of Serial. It expects a JSON payload that includes the
        identifier, component and part_number of the object to be initialized.
        The API key for authentication is sent in the headers. The server's
        response is a requests.Response object.
      operationId: post-identifier
      requestBody:
        content:
          application/json:
            schema:
              type: object
              x-examples:
                Example 1:
                  identifier: SERIAL-NUMBER-123
                  component: Battery Module
                  part_number: BAT-M-92
                  metadata: {}
              properties:
                identifier:
                  type: string
                  description: A serial number or lot code
                component:
                  type: string
                  description: A serial number or lot code
                part_number:
                  type: string
                  description: Part number from the Serial app
              required:
                - identifier
                - component
            examples:
              Example:
                value:
                  identifier: SERIAL-NUMBER-123
                  component: Battery Module
                  part_number: BAT-M-92
          application/xml:
            schema:
              type: object
              properties: {}
            examples:
              Example 1:
                value: {}
      responses:
        '200':
          description: Identifier Successfully Created
        '400':
          description: Bad Request
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    serial-default-security:
      type: http
      scheme: bearer
      description: '**API Key** or **Token** formatted as `Bearer <YOUR_KEY_OR_TOKEN>`'

````